summaryrefslogtreecommitdiff
path: root/package/busybox/files/udhcpd.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/busybox/files/udhcpd.init')
-rw-r--r--package/busybox/files/udhcpd.init28
1 files changed, 28 insertions, 0 deletions
diff --git a/package/busybox/files/udhcpd.init b/package/busybox/files/udhcpd.init
new file mode 100644
index 000000000..d9627aa9d
--- /dev/null
+++ b/package/busybox/files/udhcpd.init
@@ -0,0 +1,28 @@
+#!/bin/sh
+#PKG udhcpd
+#INIT 50
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ [[ $udhcpd = NO ]] && exit 0
+ exec sh $0 start
+ ;;
+start)
+ touch /var/udhcp.leases
+ udhcpd -S
+ ;;
+stop)
+ pkill udhcpd
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?